Subject: Re: [Bitcoin-development] Payment Protocol for Face-to-face Payments

From: Mike Hearn <[email-masked]>
Date: Sat, 22 Mar 2014 18:30:03 +0100

I think it's mostly a UI issue. The recipient needs to understand that what
he received is nothing more than an IOU that can be revoked at any time. If
the UI makes it clear and the user trusts the sender, no problem. BIP70
would work as before.

On Sat, Mar 22, 2014 at 6:24 PM, Jeff Garzik <[email-masked]> wrote:

> One participant, yes.  Two participants lacking net would require a
> serious revisit of BIP 70's security assumptions and some design, at a
> minimum.
>
> On Sat, Mar 22, 2014 at 12:55 PM, Mark Friedenbach <[email-masked]>
> wrote:
> > Jeff, there are *plenty* of places that lack local Internet access for
> > one or both participants.
> >
> > Obviously making the case where both participants lack access to the
> > bitcoin network is difficult to secure, but not impossible (e.g. use a
> > telephany-based system to connect to a centralized double-spend
> > database, as VISA does).
> >
> > I expect the case where one participant has Internet access (the
> > merchant) and the other does not to be very, very common. The majority
> > of transactions I do on a daily basis are like this, and I live in
> > Silicon Valley!
> >
> > On 03/22/2014 09:35 AM, Jeff Garzik wrote:
> >> Let's not pull out silly examples.  Of course you can find locations
> >> that lack Internet.
> >>
> >> Those locations are completely unsuitable to bitcoin transactions,
> >> since the receiver cannot verify double-spending or anything else
> >> about the transaction.
> >
> >
> ------------------------------------------------------------------------------
> > Learn Graph Databases - Download FREE O'Reilly Book
> > "Graph Databases" is the definitive new guide to graph databases and
> their
> > applications. Written by three acclaimed leaders in the field,
> > this first edition is now available. Download your free book today!
> > http://p.sf.net/sfu/13534_NeoTech
> > _______________________________________________
> > Bitcoin-development mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>
> --
> Jeff Garzik
> Bitcoin core developer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
>
>
> ------------------------------------------------------------------------------
> Learn Graph Databases - Download FREE O'Reilly Book
> "Graph Databases" is the definitive new guide to graph databases and their
> applications. Written by three acclaimed leaders in the field,
> this first edition is now available. Download your free book today!
> http://p.sf.net/sfu/13534_NeoTech
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>